fop 2.3

## org.apache.fop.render.intermediate
Class IFSerializerMaker

    java.lang.Object
      org.apache.fop.render.intermediate.AbstractIFDocumentHandlerMaker
          org.apache.fop.render.intermediate.IFSerializerMaker

    public class IFSerializerMaker

extends AbstractIFDocumentHandlerMaker

Intermediate format document handler factory for intermediate format XML output.

Constructor Summary
`IFSerializerMaker()`

Method Summary
`java.lang.String[]` `getSupportedMimeTypes()`
`IFDocumentHandler` `makeIFDocumentHandler(IFContext ifContext)` Instantiates a new `IFDocumentHandler`.
`boolean` `needsOutputStream()`

Methods inherited from class org.apache.fop.render.intermediate.AbstractIFDocumentHandlerMaker
`isMimeTypeSupported`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IFSerializerMaker

    public IFSerializerMaker()

Method Detail

### makeIFDocumentHandler

    public IFDocumentHandler makeIFDocumentHandler(IFContext ifContext)

  Instantiates a new `IFDocumentHandler`.

  Specified by:
    `makeIFDocumentHandler` in class `AbstractIFDocumentHandlerMaker`
  Parameters:
    `ifContext` - the user agent
  Returns:
    the newly instantiated document handler

### needsOutputStream

    public boolean needsOutputStream()

  Specified by:
    `needsOutputStream` in class `AbstractIFDocumentHandlerMaker`
  Returns:
    Indicates whether this document handler requires an OutputStream to work with.

### getSupportedMimeTypes

    public java.lang.String[] getSupportedMimeTypes()

  Specified by:
    `getSupportedMimeTypes` in class `AbstractIFDocumentHandlerMaker`
  Returns:
    an array of MIME types the document handler supports.

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.